Bug 26959 - Reindent batch item modification template
Summary: Reindent batch item modification template
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26960
  Show dependency treegraph
 
Reported: 2020-11-06 16:58 UTC by Owen Leonard
Modified: 2021-06-14 21:35 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 26959: Reindent batch item modification template (44.32 KB, patch)
2020-11-06 18:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26959: (follow-up) Add markup comments (6.95 KB, patch)
2020-11-06 18:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26959: Reindent batch item modification template (44.25 KB, patch)
2021-02-03 15:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26959: (follow-up) Add markup comments (6.95 KB, patch)
2021-02-03 15:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26959: Reindent batch item modification template (44.29 KB, patch)
2021-02-25 01:36 UTC, David Nind
Details | Diff | Splinter Review
Bug 26959: (follow-up) Add markup comments (6.99 KB, patch)
2021-02-25 01:36 UTC, David Nind
Details | Diff | Splinter Review
Bug 26959: Reindent batch item modification template (44.35 KB, patch)
2021-02-28 17:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26959: (follow-up) Add markup comments (7.05 KB, patch)
2021-02-28 17:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26959: (follow-up) Fix CSS for column selection labels (1.27 KB, patch)
2021-03-03 18:01 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-11-06 16:58:47 UTC
I would like to update the batch item modification template so that it has consistent indentation.
Comment 1 Owen Leonard 2020-11-06 18:31:58 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2020-11-06 18:32:01 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2021-02-03 15:01:38 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2021-02-03 15:01:41 UTC Comment hidden (obsolete)
Comment 5 David Nind 2021-02-25 01:36:48 UTC Comment hidden (obsolete)
Comment 6 David Nind 2021-02-25 01:36:51 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2021-02-28 17:21:03 UTC
Created attachment 117415 [details] [review]
Bug 26959: Reindent batch item modification template

This patch reindents the batch item modification template to make
indentation consistent. Some lines have been split up.

Some markup issues have been corrected: Removed script "type" attribute,
removed obsolete "CDATA" markers, removed obsolete IE-specific
conditional comment.

To test, apply the patch and go to Tools -> Batch item
modification.

- Test the process of submitting a barcode file, and item number file,
  and a list of barcodes.
- Confirm that everything works as expected.

Use your preferred method for checking the differences between files
while ignoring whitespace. I use diff with the  "-w" flag, but I've been
known to leave my car keys in the refrigerator from time to time. The
only changes you see should be split lines.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2021-02-28 17:21:06 UTC
Created attachment 117416 [details] [review]
Bug 26959: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the page's appearance or
functionality.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2021-02-28 17:23:41 UTC
It's not a problem with this patch set, but I see probems with the batch item edit process. I am trying to change less than 20 items and it won't finish :(
Comment 10 Katrin Fischer 2021-02-28 17:25:34 UTC
(In reply to Katrin Fischer from comment #9)
> It's not a problem with this patch set, but I see probems with the batch
> item edit process. I am trying to change less than 20 items and it won't
> finish :(

With a different set of items it works with and without the patch - not enough to report here.
Comment 11 Jonathan Druart 2021-03-03 14:45:00 UTC
The span in the columns selection can be split on 2 lines:
https://snipboard.io/NZ7IdA.jpg
vs
https://snipboard.io/4Wh0RO.jpg
Comment 12 Owen Leonard 2021-03-03 18:01:09 UTC
Created attachment 117622 [details] [review]
Bug 26959: (follow-up) Fix CSS for column selection labels

This patch modifies the staff interface SCSS in order to fix the display
of column selection checkbox labels on the batch item modification page.
Even though the style of the elements defines the "white-space" as
"nowrap," adding whitespace within the element (as was done to correct
indentation) still created problems.

Changing the display property of the elements to "inline-block" corrects
this.


Current status: Failed QA
Comment 13 Owen Leonard 2021-03-03 18:02:20 UTC
(In reply to Owen Leonard from comment #12)
> Current status: Failed QA

Sorry, git-bz mistake
Comment 14 Jonathan Druart 2021-03-04 08:59:37 UTC
(In reply to Owen Leonard from comment #12)
> Created attachment 117622 [details] [review] [review]
> Bug 26959: (follow-up) Fix CSS for column selection labels

Thanks! Sorry for being picky! :)
Comment 15 Jonathan Druart 2021-03-04 16:25:18 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 16 Fridolin Somers 2021-03-08 15:38:47 UTC
Enhancement not pushed to 20.11.x